<div class="mat-elevation-z8">
    <mat-toolbar-row>
        <span>EDIT ACTIVITY</span>
    </mat-toolbar-row>
    <form style="margin-left: 1em" [formGroup]="form" #activityForm="ngForm" (submit)="submit()">
        <mat-form-field class="full-width" color="warn">
            <input matInput placeholder="Activity Name" formControlName="activityName" [value]="activity?.activityName">
        </mat-form-field>
        <table class="full-width" cellspacing="0">
            <tr>
                <td>
                    <mat-form-field class="full-width">
                        <input matInput placeholder="Activity time" formControlName="activityTime" [value]="activity?.activityTime">
                    </mat-form-field>
                </td>
                <td>
                    <mat-form-field class="full-width">
                        <input matInput placeholder="Location" formControlName="activityLocation" [value]="activity?.activityLocation">
                    </mat-form-field>
                </td>
            </tr>
            <tr>
                <td>
                    <mat-form-field class="full-width">
                        <input matInput placeholder="Date" formControlName="activityDate" [value]="activity?.activityDate">
                    </mat-form-field>
                </td>
                <td>
                    <mat-form-field class="full-width">
                        <input matInput placeholder="Period of REQ" formControlName="periodRegistration" [value]="activity?.periodRegistration" #spy>
                    </mat-form-field>
                </td>
            </tr>
        </table>
        <mat-form-field class="full-width">
            <input matInput placeholder="Description" formControlName="activityDescription" [value]="activity?.activityDescription">
        </mat-form-field>
        <mat-form-field class="full-width">
            <input matInput placeholder="Host teacher" formControlName="hostTeacher" [value]="activity?.hostTeacher">
        </mat-form-field>
        <mat-form-field *ngIf="false">
            <input matInput formControlName="Status" [value]="Pending">
        </mat-form-field>
        <div class="btn-regis">
            <!-- <button id="submit" mat-raised-button color="primary" type="submit" [disabled]="!form.valid">Submit</button> -->
            <button mat-raised-button [routerLink]="['/teacher/activitylist']">Back</button>
            <button id="submit" mat-raised-button color="primary" type="submit" (click)="update()" [routerLink]="['/teacher/activitylist']">Update</button>
        </div>
    </form>
</div>